@import "../variables.less";

.tor1e.sheet.actor {

  #patron{
    align-items: center;
  }

  h2 {
    color: #800000;
  }

  .hostile-friendly {
    display: flex;

    .hf-slider {
      width: 150px;
    }
  }

  .section {
    text-align: center;
    justify-content: center;
    align-content: center;
    align-items: center;

    h4 {
      font-weight: bold;
      font-size: @large;
      text-align: center;
      flex: none;
    }

    .active-effect {
      margin: 0 0.1em;
      flex: none;
      text-align: center;
      justify-content: center;
      align-content: center;
      align-items: center;

      img {
        opacity: 0.1;
        width: 30px;
        height: 30px;
        text-align: center;
        flex: none;
        background-color: black;
      }

      img.active {
        opacity: 1;
      }

      .label {
        text-align: center;
        font-size: @small;
        flex: none;
      }
    }
  }

  .three-states-checkbox {
    cursor: pointer;

    p {
      font-size: @bigger;
    }

    .empty-square::before {
      font-size: @xlarge;
      background: rgba(0, 0, 0, 0.1);
      border-radius: 50%;
      border: none;
      font-family: "Font Awesome 5 Free", serif;
      font-weight: 400;
      content: "\f111";
    }

    .check-square::before {
      font-size: @xlarge;
      background: rgba(0, 0, 0, 0.1);
      border-radius: 50%;
      border: none;
      font-family: "Font Awesome 5 Free", serif;
      font-weight: 400;
      content: "\f058";
    }

    .times-square::before {
      font-size: @xlarge;
      background: rgba(0, 0, 0, 0.1);
      border-radius: 50%;
      border: none;
      font-family: "Font Awesome 5 Free", serif;
      font-weight: 400;
      content: "\f057";
    }

  }

  input[type="checkbox"] {
    flex: 0 0 20px;
    width: auto;
    height: auto;
    margin: 0.1em;
  }

  .attribute-label {
    flex: none;
    margin-right: 0.5em;
    margin-bottom: 0.1em;
  }

  .attribute-number-value {
    flex: none;
    width: 4em;
    text-align: center;
    margin-right: 0.5em;
  }

  .attribute-text-value {
    flex: none;
    text-align: left;
  }

  form {
    display: flex;
    flex-direction: column;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border: none;
    margin: auto;
    position: absolute;
  }

  img.actor-banner {
    flex: 0;
    width: auto;
    object-fit: cover;
    object-position: 100% 65%;
    border: none;
  }

  img.member-token {
    flex: 0;
    width: auto;
    object-fit: cover;
    object-position: 100% 65%;
    border: none;
  }

  .list-actor {
    justify-content: center;
    align-content: center;
    align-items: center;

    .member-name {
      align-items: center;
      align-content: center;

      p {
        flex: none;
        text-overflow: ellipsis;
        white-space: nowrap;
        max-width: 7em;
        display: inline-block;
        overflow: hidden;
      }

      .actions {
        flex: 0;
        min-width: fit-content;
      }
    }
  }

  .sheet-header {

    img {
      flex: 0 0 125px;
      width: 125px;
      height: 125px;
      object-fit: cover;
      object-position: 50% 0;
      border: none;
    }

  }

  .sheet-content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;

    .sidebar {
      text-align: center;
      margin-bottom: 0.5em;
      flex:1.1;

      .complex-stat-container {
        justify-content: space-evenly;

        .main-stat {
          flex: none;
        }
      }
    }

    .central {
      flex: 5.5;

      .attributes {
        justify-content: space-around;
      }

    }

    .complex-stat {
      justify-content: center;
    }

    .main-stat {
      align-items: center;
      align-content: center;
      justify-content: space-evenly;

      .skill-name {
        flex: none;
      }

      label, .label {
        font-weight: bold;
        font-size: @large;
        margin-bottom: 0.25em;
        margin-top: 0;
        flex: none;

        a {
          font-size: initial;
        }
      }

      .main-stat-value {
        position: relative;
        align-items: center;
        flex: none;
      }


      .main-stat-value.warn {
        background: radial-gradient(circle, rgba(236, 6, 12, 0) 25%, rgba(246, 3, 15, 1) 75%, rgba(255, 0, 18, 0) 100%);
      }

      .computed > .main-stat-value {
        background: #bfbfb4;
        flex: none;
      }

      .item-name:hover {
        .action {
          visibility: visible;
        }
      }

      .item-name {
        position: absolute;
        left: -6em;
        top: -1.5em;
        font-size: 0.75em;
        font-weight: initial;
        text-align: left;
        align-items: center;
        width: 10em;
        max-width: 90px;
        display: inline-block;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;

        p {
          margin-left: 0.25em;
          white-space: break-spaces;
        }

        img {
          border: none;
        }

        .action {
          flex: none;
          visibility: hidden;
        }
      }

      input, .item-value {
        width: 1.5em;
        height: 1.5em;
        text-align: center;
        background: #e8e8d5;
        border-radius: 50%;
        border: double black;
        padding: 0.25em;
        font-size: @large;
        box-sizing: content-box;
        margin: 0;
        min-width: unset;
      }

      .item-value {
        background: #bfbfb4;
      }

      .secondary-stat, .secondary-item {

        label, .item-name {
          position: absolute;
          left: 5.5em;
          top: 2.25em;
          font-size: @small;
          font-weight: initial;
          text-align: left;
          width: 10em;
          margin-top: 0;

          p {
            max-width: 8em;
            display: inline-block;
            margin-top: 0;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
          }
        }

        input, .item-value {
          position: absolute;
          right: -1.4em;
          top: -0.4em;
          background: beige repeat;
          text-align: center;
          border-radius: 50%;
          border: solid black;
          padding: 0.15em;
          font-size: initial;
          box-sizing: content-box;
        }

        .item-value {
          background: #bfbfb4;
        }

        .stat-name {
          position: absolute;
          left: 5.5em;
          top: 2.25em;
          font-size: @small;
          font-weight: initial;
          min-width: fit-content;
          text-align: left;
          width: 10em;
          margin-top: 0;
        }

        .stat-value {
          width: 1.5em;
          height: 1.5em;
          margin: 0;
          position: absolute;
          right: -1.5em;
          top: -0.5em;
          background: #bfbfb4;
          text-align: center;
          border-radius: 50%;
          border: solid black;
          padding: 0.15em;
          font-size: initial;
          box-sizing: content-box;

          p {
            background: #bfbfb4;
          }
        }
      }

      .tertiary-stat {

        label {
          position: absolute;
          right: -4.5em;
          top: 5.5em;
          font-size: @small;
          font-weight: initial;
          min-width: fit-content;
          text-align: left;
          width: 10em;
        }

        input {
          position: absolute;
          right: -1em;
          bottom: -1em;
          background: beige repeat;
          text-align: center;
          border-radius: 50%;
          border: solid black;
          padding: 0.15em;
          font-size: initial;
          box-sizing: content-box;
          z-index: 2;
        }
      }
    }

    .stat-row {
      display: flex;
      align-items: center;
      justify-content: space-around;
      margin-bottom: 0.5em;
    }

    .stat {
      align-items: center;

      label {
        font-size: @large;
      }

      .skill-label {
        font-weight: bold;
        font-size: @normal;
      }

      input {
        text-align: center;
        width: 4em;
      }

      div {
        display: flex;
        justify-content: center;
        align-items: center;

        label {
          font-size: @small;
        }
      }

      .sibling {

        margin-left: 0.1em;

        label {
          text-transform: lowercase;
          font-size: @small;
        }

        input[type=checkbox] {
          width: auto;
        }
      }
    }

    label.favoured {
      display: inline;
      text-transform: lowercase;
      font-size: @small;

      input[type="checkbox"] {
        width: auto;
        height: auto;
      }
    }

    .dice {
      align-self: center;
    }

    .dice::after {
      content: "D";
    }

    .bonus {
      align-self: center;
    }

    .bonus::before {
      content: "+";
    }

    .attribute-table-value {
      position: relative;
      justify-content: center;
      text-align: center;

      .secondary-stat {
        position: absolute;
        right: 2.5em;
      }

      label {
        text-align: center;
        margin-right: 0.2em;

        input {
          text-align: center;
          width: 4em;
        }
      }

      .item-value {
        padding: 0.5em;
        border: 1px solid black;
        width: fit-content;
        margin: 0;
      }

      .main {
        text-align: center;
        margin-right: 0.2em;
      }

      .accessory {
        text-align: center;
        margin-left: 0.2em;
      }
    }
  }

  .state-of-health-sidebar {
    align-items: flex-end;
    display: flex;

    .state-of-health-item {
      align-items: center;
    }
  }

  .flexrow > h2, .flexcol > h2 {
    flex: 0;
  }

  #armours {
    flex: 1.9;
  }

  .state-of-health {
    margin-top: 2em;
    text-align: center;
  }

  .skill-container {
    justify-content: space-around;

    .skill-column {
      flex: none;
    }
  }

  .item-data {
    text-align: center;
    align-items: center;

    .identification {
      text-align: left;

      p {
        flex: none;
        margin-left: 0.2em;
      }

      img {
        border: none;
      }
    }

    .attribute-container {
      display: flex;
      justify-content: center;
    }

    .skill-value {
      justify-content: center;
      align-items: center;

      .checkbox {
        flex: none;
      }
    }

    .attribute-value {
      flex: none;
      width: 3em;
    }
  }

  .table-caption {
    font-weight: bold;
    text-align: center;
  }

  .table-main-column {
    flex: 3;
  }

  .table-complex-column {
    flex: 2;
  }

  .attribute-value {
    text-align: center;
  }

  .item-description {
    h3 {
      margin: 0;
      font-weight: bold;
      background: rgba(0, 0, 0, 0.05);
    }
  }

  .simple-stat-row {
    justify-content: space-around;
    align-items: center;
  }

  .double-biography-element {
    flex: 2;
    margin-left: 0.25em;
    margin-bottom: 0.25em;
  }

  .biography-element {
    margin-left: 0.25em;
    margin-bottom: 0.25em;
  }

  .common-skill-column {
    margin-left: 0.1em;
    margin-right: 0.1em;
    background: rgba(0, 0, 0, 0.05);
  }

  .skill-element-row {
    cursor: pointer;
    justify-content: center;
  }

  .skill-display-element {
    width: .9em;
    height: .9em;
    background-image: url("../assets/images/diamond-empty.png");
    background-repeat: no-repeat;
    background-size: .9em;
    margin: 0 0.05em;
    flex: none;
  }

  .skill-display-element-full {
    width: .9em;
    height: .9em;
    background-image: url("../assets/images/diamond-full.png");
    background-repeat: no-repeat;
    background-size: .9em;
    margin: 0 0.05em;
    flex: none;
  }

  .rollable {
    a > * {
      cursor: pointer;
    }
  }

  .character-actor-drop {
    border-style: inset;
    min-height: 50px;
    background: rgba(0, 0, 0, 0.1);
  }

  .actor-emblem {
    min-height: 50px;
    margin: 0.05em;
    width: 120px;
    flex: none;

    .list-actor {
      flex: none;
    }

    .actor-wrapper {
      background: rgba(0, 0, 0, 0.1);
      margin: 0.5em;
      padding-top: 0.5em;
      border: 1px solid #777;
      box-shadow: 3px 3px 5px 0 rgba(3, 3, 3, 0.5);
      -webkit-box-shadow: 3px 3px 5px 0 rgba(3, 3, 3, 0.5);
      -moz-box-shadow: 3px 3px 5px 0 rgba(3, 3, 3, 0.5);
      align-items: center;
      height: 140px;

      .token-wrapper {
        flex: none
      }
    }
  }

  #unassigned-members {
    .actor-drop {
      width: 100%;
      border-style: inset;
      background: rgba(0, 0, 0, 0.1);
    }
  }

  #travel-roles {
    .actor-drop {
      border-style: inset;
      min-height: 50px;
      background: rgba(0, 0, 0, 0.1);
    }

  }

  .role-label + .actor-drop {
    margin-right: 0.1em;
    margin-left: 0.1em;
    justify-content: center;
    align-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
  }

  .role-label {
    margin-right: 0.5em;
    flex: none;
    text-align: center;

    .label {
      font-weight: bold;
      font-size: @bigger;
      margin-bottom: 0;
    }

    .skill {
      margin-top: 0;
      font-style: italic;
    }
  }

  .actor-row {
    justify-content: space-around;
    background: rgba(0, 0, 0, 0.1);
  }

  .big-row {
    margin-bottom: 2em;
  }

  .primary-section {
    flex: 2.2;
  }

  .secondary-section {
    flex: 1.5;
  }

  .primary-block {
    flex: 2.5;
  }

  .secondary-block {
    flex: 1.25;
  }

}